Skip to main content
`Ctrl`+`K`

# DMSwarmGetSize

Retrieves the total length of fields registered

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetSize(DM dm, PetscInt *n)

Collective

## Input Parameter

- dm - a `DMSWARM`

## Output Parameter

- n - the total length of each registered field

## Note

This calls `MPI_Allreduce()` upon each call (inefficient but safe)

## See Also

`DM`, `DMSWARM`, `DMSwarmGetLocalSize()`, `DMSwarmSetLocalSizes()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ts/tutorials/ex77.c
src/dm/tutorials/swarm_ex1.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages